### Network Reset

Run the following command in an elevated Command Prompt:

```
ipconfig /flushdns && ipconfig /release && ipconfig /renew && ipconfig /registerdns && netsh winsock reset && shutdown /r
```

This will, in order:
1. Flush the DNS Records
2. Release the IP Address
3. Renew the IP Address
4. Re-registers the DNS Records
5. Resets the Winsock Catalog (requires a reboot after)
6. Restarts the PC

Be cautious if running these commands while remotely connecting to another computer. The "&&" operator tells CMD to run the commands one after the other. If you run them one at a time instead, you will lose connection to the computer before you can complete the rest. It might be best to have someone on the other end in case you lose connection, or the computer does not regain connection after the restart.

<br>

### SFC & DISM Commands

The following commands will repair/replace corrupted/missing system files, as well as clear up disk space. They must all be ran in an elevated Command Prompt:

1. 
```
sfc /scannow
```

If it reports no issues found or all issues fixed, you are done. or, optionally skip to Step 6. Otherwise, continue to Step 2.

2. 
```
DISM /Online /Cleanup-Image /CheckHealth
```

3. 
```
DISM /Online /Cleanup-Image /ScanHealth
```

4. 
```
DISM /Online /Cleanup-Image /RestoreHealth
```

5. Repeat Step 1

Note: the following optional steps will free up disk space, but also remove files allowing uninstallation of Windows Updates

6. 
```
DISM /Online /Cleanup-Image /AnalyzeComponentStore
```

If prompted to reboot, do so

7. 
```
DISM /Online /Cleanup-Image /StartComponentCleanup
```

8. 
```
DISM /Online /Cleanup-Image /StartComponentCleanup /ResetBase
```

<br>

